FROM python:3.11-slim

# Instala dependências do sistema necessárias para áudio (ffmpeg e ALSA) e para o psutil compilar
RUN apt-get update && apt-get install -y \
    ffmpeg \
    gcc \
    python3-dev \
    docker.io \
    procps \
    psmisc \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /app

COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

# Expõe a porta do FastAPI
EXPOSE 8001

# Garante que o script de inicialização do repositório tenha permissão de execução
RUN chmod +x start.sh

CMD ["./start.sh"]

